from load_dataset import load_data, analisis_univariado
from trainer import BinaryTuner
import pandas as pd
import numpy as np
import warnings
warnings.filterwarnings("ignore")

_, dms2, dms3, _ = load_data()


resultados = analisis_univariado(dms2, target="MODY2_label", continuas=['edad diag', 'IMC', 'glu ayu', 'glu 120','A1c'], discretas=['sexo', 'hist fam'])
print(resultados)


# mody2 = BinaryTuner(dms2, 'MODY2_label', seeds=[231964], test_size=0.2)
# mody2.fit()
# mody2.explain_model('GaussianNB', 'fulldataset-oversampled-mice', 231964)
# mody2.wrap_and_save()
#
#
# mody3 = BinaryTuner(dms3, 'MODY3_label', seeds=[536202], test_size=0.2)
# mody3.fit()
# mody3.explain_model('RandomForestClassifier', 'fulldataset-original-mice', 536202)
# mody3.wrap_and_save()
